The officially official Devuan Forum!

You are not logged in.

#1 2020-07-20 19:07:20

joellapointe1717
Member
Registered: 2020-07-20
Posts: 3  

Update not possible because of repository problem

Hi,

I just installed Devuan 3 on an external hdd.
Upon reboot I wasn't able to get wifi with WICD. I had to add wlan0 in the preferences. Most people won't know how to do it, finally, the wifi worked.

However, this is not the principal problem. I want to update the os after install. When i do so, this message appear :


# apt-get update
Réception de :1 http://deb.devuan.org/merged beowulf InRelease [25,6 kB]
Réception de :2 http://deb.devuan.org/merged beowulf-updates InRelease [25,6 kB]
Réception de :3 http://deb.devuan.org/merged beowulf-security InRelease [25,6 kB]
Atteint :4 http://deb.devuan.org/merged beowulf-backports InRelease
Lecture des listes de paquets... Fait
E: Le dépôt « http://deb.devuan.org/merged beowulf InRelease » a modifié sa valeur « Suite » de « testing » à « stable »
N: Ceci doit être pleinement accepté avant que les mises à jour depuis ce dépôt puissent être appliquées. Veuillez vous référer aux pages de manuel « apt-secure(8) » pour plus de détails.
E: Le dépôt « http://deb.devuan.org/merged beowulf-updates InRelease » a modifié sa valeur « Suite » de « testing-updates » à « stable-updates »
N: Ceci doit être pleinement accepté avant que les mises à jour depuis ce dépôt puissent être appliquées. Veuillez vous référer aux pages de manuel « apt-secure(8) » pour plus de détails.
E: Le dépôt « http://deb.devuan.org/merged beowulf-security InRelease » a modifié sa valeur « Suite » de « testing-security » à « stable-security »
N: Ceci doit être pleinement accepté avant que les mises à jour depuis ce dépôt puissent être appliquées. Veuillez vous référer aux pages de manuel « apt-secure(8) » pour plus de détails.

Sorry for the french speaking terminal, I'm french-canadian!

I'm not very good at computer things so it must be simple for me.
Thank you,

Joel Lapointe

Offline

#2 2020-07-20 19:37:16

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 837  
Website

Re: Update not possible because of repository problem

joellapointe1717 wrote:

Sorry for the french speaking terminal

Make it speak English with

# LC_ALL=C apt-get update

And if you use this instead then it will ask for confirmation then continue with the update:

# apt update

Black Lives Matter

Offline

#3 2020-07-20 21:24:21

joellapointe1717
Member
Registered: 2020-07-20
Posts: 3  

Re: Update not possible because of repository problem

Here it is in english:

root@Devuan3:/home/joel# LC_ALL=C apt-get update
Get:1 http://deb.devuan.org/merged beowulf InRelease [25.6 kB]
Get:2 http://deb.devuan.org/merged beowulf-updates InRelease [25.6 kB]
Get:3 http://deb.devuan.org/merged beowulf-security InRelease [25.6 kB]
Hit:4 http://deb.devuan.org/merged beowulf-backports InRelease
Reading package lists... Done
E: Repository 'http://deb.devuan.org/merged beowulf InRelease' changed its 'Suite' value from 'testing' to 'stable'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
E: Repository 'http://deb.devuan.org/merged beowulf-updates InRelease' changed its 'Suite' value from 'testing-updates' to 'stable-updates'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
E: Repository 'http://deb.devuan.org/merged beowulf-security InRelease' changed its 'Suite' value from 'testing-security' to 'stable-security'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.

thank you

Offline

#4 2020-07-20 22:33:20

golinux
Administrator
Registered: 2016-11-25
Posts: 1,981  

Re: Update not possible because of repository problem

From the beowulf release notes:

If you are already on Beowulf, just run this command to get to the
current release version:

  apt update && apt dist-upgrade

The first time you do this after Beowulf has gone Stable, you will get
a warning that the repository changed its 'Suite' value from 'testing'
to 'stable'. Answer 'yes' to proceed. Note that aptitude or apt-get will
fail this first time. Only apt will ask you to accept the change.

Offline

#5 2020-07-21 00:31:08

joellapointe1717
Member
Registered: 2020-07-20
Posts: 3  

Re: Update not possible because of repository problem

Great, all went well!

I wasn't aware of the differences between unstable and stable with the apt thing.

Thank you very much.

Offline

#6 2020-07-21 01:24:39

golinux
Administrator
Registered: 2016-11-25
Posts: 1,981  

Re: Update not possible because of repository problem

Happy to hear that.  It's a good idea to read the release notes because there are always a few "gotchas" with each new release.

Offline

Board footer